My Selenium IDE Plugins Updated for Firefox 7

I have uploaded new versions of all my Selenium IDE plugins on Firefox Addons website. They should now work with Firefox 7 and Selenium IDE v1.3.0. The updates should be sent to you automatically when Mozilla approves them. You can also set them now from the links below:-

Let me know if you notice anything unexpected.

This entry was posted in Selenium IDE Plug-ins and tagged , , , , , , , , , , , , , , , , . Bookmark the permalink.

8 Responses to My Selenium IDE Plugins Updated for Firefox 7

  1. Jason Vogel says:

    Can you update the Selenium Add-ons for Firefox 8 now :-).


    • Samit Badle says:

      Hi Jason,

      They should be out real soon. Keep an eye my blog or follow my tweets to be the first to know when it’s done.


  2. Pushpa says:

    Hi Samit,

    QA newbie here..

    I have a doubt, when you mentioned that Firefox 7 should work with Selenium IDE v1.3.0, do you mean it will record and playback the tests?

    Before installing selenium I thought of doing a quich search on which version of selenium suits best for Firefox 8 and found that selenium is compatible with firefox3, 4 and 5 (source: On more search, reached your blog which said FF7 should work with selenium ide v1.3.0. Infact, here – we have selenium version for FF8. So thought of clarifying my doubt before going ahead.

    Your blog is very informative for beginners like me.

    Thanks for your time.

    • Samit Badle says:

      Hi Pushpa,

      Welcome to the world of Selenium. I am glad you find my blog useful.

      We make sure that we release a new version of Selenium IDE every time there is a new Firefox version. Even though we try hard to be on the same date, sometimes there is a small delay. Do not worry, Selenium IDE will be made compatible with all future versions of Firefox for a very long time. This means that latest version of Selenium will be able to record and playback on the latest version of Firefox.

      Selenium IDE has a plugin architecture, which means you can install plugins for it from other people. I have a fair amount of plugins for Selenium IDE, nine to be exact. Selenium Expert is one such plugin and requires a working Selenium IDE. Every time there is a new Firefox version or a Selenium IDE version, all my plugins require new releases. I always try to update my plugins as soon as there is a new Selenium IDE release, but it depends on the amount of free time I get.

      I hope that this answers all your doubts.


  3. Hakan Tuncer says:

    Hi Sammit,

    And now Firefox 9 is already out. When will you be able to do the updating you think?


  4. Prasanna says:

    Hi Samit,
    Am beginner in both Selenium & Firefox. so can you suggest me which is the best version pairs to be used. i was using firefox 4 & older version of selenium.
    And also please suggest steps to install selenium on to firefox.
    Will be waiting for your reply


    • Samit Badle says:

      Hi Prasanna,

      I would suggest that Firefox 10 and Selenium IDE 1.6.0 make a good pair. Installation is very simple. Simply click on the download link and allow the website to install. Let me know if you still cannot figure it out.


Leave a Reply

Your email address will not be published. Required fields are marked *